Package org.opensaml.core.config.provider

# Class SystemPropertyConfigurationPropertiesSource

java.lang.Object
org.opensaml.core.config.provider.SystemPropertyConfigurationPropertiesSource

All Implemented Interfaces:
  `ConfigurationPropertiesSource`

public class SystemPropertyConfigurationPropertiesSource extends Object implements ConfigurationPropertiesSource
A configuration properties source implementation which simply returns the system properties set.

## Constructor Summary

Constructors
Constructor
Description
`SystemPropertyConfigurationPropertiesSource()`

## Method Summary

Modifier and Type
Method
Description
`ConfigurationProperties`
`getProperties()`
Get the property set exposed by the source.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SystemPropertyConfigurationPropertiesSource

public SystemPropertyConfigurationPropertiesSource()

## Method Details

### getProperties

@Nullable public ConfigurationProperties getProperties()
Get the property set exposed by the source.

Specified by:
  `getProperties` in interface `ConfigurationPropertiesSource`
Returns:
  the properties set or null